Notifly
API ReferenceWorkflows

List all workflows

Retrieves a list of workflows with optional filtering and pagination

GET
/v2/workflows

Retrieves a list of workflows with optional filtering and pagination

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Query Parameters

limit?number

Number of items to return per page

offset?number

Number of items to skip before starting to return results

orderDirection?string

Direction of sorting

Value in

  • "ASC"
  • "DESC"
orderBy?string

Field to sort the results by

Value in

  • "createdAt"
  • "updatedAt"
  • "name"
  • "lastTriggeredAt"
query?string

Search query to filter workflows

tags?array<string>

Filter workflows by tags

status?array<>

Filter workflows by status

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/workflows?limit=10&offset=0"
{  "data": {    "workflows": [      {        "name": "string",        "tags": [          "string"        ],        "updatedAt": "string",        "createdAt": "string",        "updatedBy": {          "_id": "string",          "firstName": "string",          "lastName": "string",          "externalId": "string"        },        "lastPublishedAt": "string",        "lastPublishedBy": {          "_id": "string",          "firstName": "string",          "lastName": "string",          "externalId": "string"        },        "_id": "string",        "workflowId": "string",        "slug": "string",        "status": "ACTIVE",        "origin": "novu-cloud",        "lastTriggeredAt": "string",        "stepTypeOverviews": [          "in_app"        ],        "isTranslationEnabled": true,        "steps": [          {            "slug": "string",            "type": "in_app",            "issues": {              "controls": {                "property1": [                  {                    "issueType": "ILLEGAL_VARIABLE_IN_CONTROL_VALUE",                    "variableName": "string",                    "message": "string"                  }                ],                "property2": [                  {                    "issueType": "ILLEGAL_VARIABLE_IN_CONTROL_VALUE",                    "variableName": "string",                    "message": "string"                  }                ]              },              "integration": {                "property1": [                  {                    "issueType": "MISSING_INTEGRATION",                    "variableName": "string",                    "message": "string"                  }                ],                "property2": [                  {                    "issueType": "MISSING_INTEGRATION",                    "variableName": "string",                    "message": "string"                  }                ]              }            }          }        ]      }    ],    "totalCount": 0  }}